/*
 * File: app/controller/BackupForm.js
 *
 * This file was generated by Sencha Architect version 3.5.1.
 * http://www.sencha.com/products/architect/
 *
 * This file requires use of the Ext JS 4.2.x library, under independent license.
 * License of Sencha Architect does not include license for Ext JS 4.2.x. For more
 * details see http://www.sencha.com/license or contact license@sencha.com.
 *
 * This file will be auto-generated each and everytime you save your project.
 *
 * Do NOT hand edit this file.
 */

Ext.define('backupConfiguration.controller.BackupForm', {
    extend: 'Ext.app.Controller',

    refs: [
        {
            ref: 'FrequencyResult',
            selector: '#backupForm #frequencyWrap #result'
        },
        {
            ref: 'FrequencyField',
            selector: '#backupForm #frequencyWrap #frequencyField'
        }
    ],

    onFrequencyFieldChange: function(field, newValue, oldValue, eOpts) {
        OPSupport.Maybe.of(field.store.findRecord('valueToSend', newValue, 0, false, true, true))
            .chain(OPSupport.Maybe.pluck(["data", "value"]))
            .fold(
                this.getFrequencyResult().setText.bind(this.getFrequencyResult(), Ext.locale.translate('This frequency does not exist. Please, select another')),
                this.getFrequencyResult().setText.bind(this.getFrequencyResult())
            );
    },

    onResetButtonClick: function(button, e, eOpts) {
        this.getFrequencyField().setValue("0");
    },

    onSaveClick: function(button, e, eOpts) {
        var frequency = Ext.getCmp("frequencyField");
        var me = this;
        var params = {
            backup_frequency : frequency.valueModels[0].data.valueToSend
        };

        var loadingMask = new Ext.LoadMask(Ext.getBody(), {msg:Ext.locale.translate('ObjectsLoadingMsg')});
        loadingMask.show();

        Ext.Ajax.request({
            url:"/opmon/seagull/www/index.php/startwizard/action/set_backup_frequency/",
            method : "POST",
            params : { jsonData: Ext.JSON.encode(params) },
            success: function(response) {
                loadingMask.destroy();
                Ext.MessageBox.show({ msg: Ext.locale.translate('Settings saved successfully'), title: Ext.locale.translate('Backup settings'), buttons: Ext.Msg.OK });;
            },
            failure : function(response) {
                loadingMask.destroy();
                Ext.MessageBox.show({ msg: Ext.locale.translate('RequestErrorMsg'), title: Ext.locale.translate('Backup settings'), buttons: Ext.Msg.OK });;
            }
        });
    },

    onFrequencyFieldAfterRender: function(component, eOpts) {
        Ext.Ajax.request({
            url: "/opmon/seagull/www/index.php/startwizard/action/get_backup_frequency/",
            method: "GET",
            success: function(res) {
                var frequency = Ext.JSON.decode(res.responseText).backup_frequency;
                component.setValue(frequency);
            }
        });
    },

    init: function(application) {
                this.observers = Ext.create("OPSupport.Observer", ["save", "cancel"]);

        this.control({
            "#frequencyField": {
                change: this.onFrequencyFieldChange,
                afterrender: this.onFrequencyFieldAfterRender
            },
            "#reset": {
                click: this.onResetButtonClick
            },
            "#save": {
                click: this.onSaveClick
            }
        });
    }

});
