/*
 * File: app/controller/NetworkController.js
 *
 * This file was generated by Sencha Architect version 3.5.1.
 * http://www.sencha.com/products/architect/
 *
 * This file requires use of the Ext JS 4.2.x library, under independent license.
 * License of Sencha Architect does not include license for Ext JS 4.2.x. For more
 * details see http://www.sencha.com/license or contact license@sencha.com.
 *
 * This file will be auto-generated each and everytime you save your project.
 *
 * Do NOT hand edit this file.
 */

Ext.define('NetworkConfiguration.controller.NetworkController', {
    extend: 'Ext.app.Controller',

    onFixedIpRadioChange: function(field, newValue, oldValue, eOpts) {
        var fixedIpFields = Ext.getCmp("fixedIpFields");
        if(field.checked){
          fixedIpFields.show();
          return;
        }
        fixedIpFields.hide();
    },

    onRadiofieldChange: function(field) {
        var dnsFields = Ext.getCmp("dnsFields");
        if(field.checked){
            dnsFields.show();
            return;
        }
        dnsFields.hide();
    },

    onButtonClick: function(button, e, eOpts) {
        var hostname = Ext.getCmp("hostName");
        var fixedIp = Ext.getCmp("fixedIp");
        var netmask = Ext.getCmp("mask");
        var gateway = Ext.getCmp("gateway");
        var primaryDns = Ext.getCmp("primaryDns");
        var secondaryDns = Ext.getCmp("secondaryDns");
        var me = this;
        var params = {
            hostname : hostname.getValue(),
            netmask : netmask.getValue(),
            ipaddr : fixedIp.getValue(),
            gateway : gateway.getValue(),
            dns1 : primaryDns.getValue(),
            dns2 : secondaryDns.getValue()
        };
        var loadingMask = new Ext.LoadMask(Ext.getBody(), {msg:Ext.locale.translate('ObjectsLoadingMsg')});
        loadingMask.show();

        Ext.Ajax.request({
            url:"/opmon/seagull/www/index.php/startwizard/action/set_network",
            method : "POST",
            params : { jsonData: Ext.JSON.encode(params) },
            success: function(response) {
                loadingMask.destroy();
                Ext.MessageBox.show({ msg: Ext.locale.translate('Settings saved successfully'), title: Ext.locale.translate('Network configuration'), buttons: Ext.Msg.OK });
            },
            failure : function(response) {
                loadingMask.destroy();
                Ext.MessageBox.show({ msg: Ext.locale.translate('RequestErrorMsg'), title: Ext.locale.translate('Network configuration'), buttons: Ext.Msg.OK });
            }
        });
    },

    init: function(application) {
        this.control({
            "#fixedIpRadio": {
                change: this.onFixedIpRadioChange
            },
            "#dnsRadio": {
                change: this.onRadiofieldChange
            },
            "#saveButton": {
                click: this.onButtonClick
            }
        });
    }

});
