import React from "react"
import { Container, Grid, Column } from "@extjs/reactor/modern"

export default class Layout extends React.Component {

    render() {
        return(
            <Container className="color-grid" padding="15" {...this.props}>
                <Grid
                    multiColumnSort={false}
                    sortable={false}
                    grouped={false}
                    enableGroupingMenu={false}
                    {...this.props}
                >
                    <Column
                        flex="1"
                        text={Ext.locale.translate('State')}
                        dataIndex="state"
                        groupable={false}
                        renderer={renderColumnName}
                    />
                    <Column
                        width="65"
                        text={Ext.locale.translate('Color')}
                        dataIndex="color"
                        groupable={false}
                        renderer={renderColumnColor}
                    />
                </Grid>
            </Container>
        );
    }
}


const translate = _ =>
    Ext.locale.translate


const renderColumnName = (_, record) => {
    const [ name, color ] =
        [ translate () (record.get("label"))
        , record.get ("color")
        ]
    return (
        <div
            data-qtip={name}
            data-qalign="bl-tl"
            data-qshowOnTap="true"
            className="col-state-type"
            style={({backgroundColor: color, fontWeight: "bold"})}
        >
            {name}
        </div>
    )
}

const renderColumnColor = color => (
    <div
        style={{
            border: "1px #dce0e5 solid",
            padding: "1px"
        }}
    >
        <div
            className="col-state-type"
            style={({backgroundColor: color})}
        >
            &nbsp;
        </div>
    </div>
)