import React from "react";
import { Container, TitleBar } from "@extjs/reactor/modern";
import Grid from "./Grid.js"
import ColorStore from "./Stores/ColorStore.js";

export default class Layout extends React.Component {

    allColors =
        Ext.create(ColorStore, {
            listeners: { load: (_, records) => this.loadStores (records) }
        })

    defaultConfigs =
        { recordType: this.allColors.recordType
        , sorters:
            { direction: "DESC"
            , property: "state"
            }
        }

    incidentsStore =
        Ext.create("Ext.data.Store", this.defaultConfigs)

    acknowledgedStore =
        Ext.create("Ext.data.Store", this.defaultConfigs)

    scheduledStore =
        Ext.create("Ext.data.Store", this.defaultConfigs)


    okStore =
        Ext.create("Ext.data.Store", this.defaultConfigs)

    loadStores = records =>
        records.reduce
            ( (_, record) => {
                if (record.get("state") >= 3) this.incidentsStore.add(record.copy())
                else if (record.get("state") === 2) this.acknowledgedStore.add(record.copy())
                else if (record.get("state") === 1) this.scheduledStore.add(record.copy())
                else this.okStore.add(record.copy())
            }
            , null
            )

    render() {
        return (
            <Container layout="hbox" padding="30 30 0 30" maxWidth="1120">
                <TitleBar title={Ext.locale.translate('Colors - State configuration')} docked="top"></TitleBar>

                <Container width="360" flex="1" margin="0 10 0 0">
                    <Grid width="100%" height="436" title={Ext.locale.translate('Incidents')} store={this.incidentsStore} />
                </Container>

                <Container width="360" flex="1" margin="0 10">
                    <Grid width="100%" height="157" title={Ext.locale.translate('Acknowledged incidents')} store={this.acknowledgedStore} />
                    <div style={{marginTop: "20px"}}></div>
                    <Grid width="100%" height="157" title={Ext.locale.translate('Scheduled downtimes')} store={this.scheduledStore} />
                </Container>

                <Container width="360" flex="1" margin="0 0 0 10">
                    <Grid width="100%" height="157" title={Ext.locale.translate('Ok')} store={this.okStore} />
                </Container>
            </Container>
        );
    }
}