/*
 * File: app/controller/Accomplish.js
 *
 * This file was generated by Sencha Architect version 3.5.1.
 * http://www.sencha.com/products/architect/
 *
 * This file requires use of the Ext JS 4.2.x library, under independent license.
 * License of Sencha Architect does not include license for Ext JS 4.2.x. For more
 * details see http://www.sencha.com/license or contact license@sencha.com.
 *
 * This file will be auto-generated each and everytime you save your project.
 *
 * Do NOT hand edit this file.
 */

Ext.define('Authentication.controller.Accomplish', {
    extend: 'Ext.app.Controller',

    refs: [
        {
            ref: 'FormCmp',
            selector: '#AuthMain #communityForm #form'
        }
    ],

    loadForm: function(form, record) {
        form.getForm().loadRecord
            ( OPSupport.Maybe.withDefault
                 (Ext.create("Authentication.model.Community"), OPSupport.Maybe.of(record))
            );
        return this;
    },

    saveAuth: function(callback) {
        var snmpStore = this.getStore('Community');
        var formSnmp = this.getFormCmp().getForm();
        var record = formSnmp.getRecord();

        if (! formSnmp.isValid()) {
        	return this;
        }

        formSnmp.updateRecord();

        if (record.data.community_id === 0) {
        	snmpStore.add(record);
        	snmpStore.sync({
        		success: function(){
        			snmpStore.reload();
                    return callback.apply(null, [true].concat(Array.prototype.slice.call(arguments)));
        		},
                failure: function(err) {
                    return callback(false, Ext.locale.translate('Error'));
                }
        	});
        } else {
            snmpStore.sync({
        		success: function(){
                    return callback.apply(null, [true].concat(Array.prototype.slice.call(arguments)));
        		},
                failure: function(err) {
                    return callback(false, Ext.locale.translate('Error'));
                }
        	});
        }

        return this;
    },

    removeAuth: function(record, callback) {
        var store = this.getStore('Community');

        store.remove(record);
        store.sync({
            success: function() {
                return callback(true);
            },
        	failure: function(batch, options) {
        		var response = batch.proxy.getReader().rawData;
        		var message = response.message;
        		var hosts = "";
        		if (response.message.indexOf(':') > 0) {
        			var tempArray = response.message.split(':');
        			message = Ext.locale.translate(tempArray[0]);

        			// This test is needed to guarantee that variable message is not undefined
        			message = message || 'This authentication cannot be removed because is used by the following hosts';

        			hosts = ": " + tempArray[1];
        		}

        		store.reload();
                return callback(false, message + hosts);
        	}
        });
    }

});
