/*
 * File: app/controller/Intention.js
 *
 * This file was generated by Sencha Architect version 3.5.1.
 * http://www.sencha.com/products/architect/
 *
 * This file requires use of the Ext JS 4.2.x library, under independent license.
 * License of Sencha Architect does not include license for Ext JS 4.2.x. For more
 * details see http://www.sencha.com/license or contact license@sencha.com.
 *
 * This file will be auto-generated each and everytime you save your project.
 *
 * Do NOT hand edit this file.
 */

Ext.define('Authentication.controller.Intention', {
    extend: 'Ext.app.Controller',

    refs: [
        {
            ref: 'Form',
            selector: '#AuthMain #communityForm #form'
        }
    ],

    onRegisterAuthenticationClick: function(button, e, eOpts) {
        Authentication.app.getController("Manager.Panel").goToForm();
    },

    onVersionFieldChange: function(field, newValue, oldValue, eOpts) {
        Authentication.app.getController("Manager.Fieldset").contextualizeForm(this.getForm(), newValue);
    },

    onCancelClick: function(button, e, eOpts) {
        Authentication.app.getController("Manager.Panel").goToList();
        this.observer.trigger("cancel");
    },

    onSaveClick: function(button, e, eOpts) {
        var me = this;

        Authentication.app.getController("Accomplish").saveAuth(function(ok) {
            if (ok) {
                Authentication.app.getController("Manager.Panel").goToList();
                me.observer.trigger("save", Array.prototype.slice.call(arguments));
            }
            else Authentication.app.getController("Manager.Panel").showErrorPopup(Ext.locale.translate('Request Status'), err);
        });
    },

    init: function(application) {
                this.observer =
                Ext.create("OPSupport.Observer", ["save", "cancel"]);

        this.control({
            "#communityList #bottom #registerAuthentication": {
                click: this.onRegisterAuthenticationClick
            },
            "#versionField": {
                change: this.onVersionFieldChange
            },
            "#communityForm #bottom #cancel": {
                click: this.onCancelClick
            },
            "#communityForm #bottom #save": {
                click: this.onSaveClick
            }
        });
    },

    changePasswordType: function(ctx, event) {
        var input = ctx.el.dom.querySelector('input');
        var el = ctx.triggerEl.first();
        var isPassword = (input.type === 'password');
        var type = isPassword ? 'text' : 'password';
        var cls =
            { add		: isPassword ? 'x-form-unlock-trigger' : 'x-form-lock-trigger'
            , remove	: isPassword ? 'x-form-lock-trigger' : 'x-form-unlock-trigger'
            };
        input.type = type;
        el.addCls(cls.add).removeCls(cls.remove);
    }

});
