/*
 * File: app/view/Content/List.js
 *
 * This file was generated by Sencha Architect version 3.5.1.
 * http://www.sencha.com/products/architect/
 *
 * This file requires use of the Ext JS 4.2.x library, under independent license.
 * License of Sencha Architect does not include license for Ext JS 4.2.x. For more
 * details see http://www.sencha.com/license or contact license@sencha.com.
 *
 * This file will be auto-generated each and everytime you save your project.
 *
 * Do NOT hand edit this file.
 */

Ext.define('Authentication.view.Content.List', {
    extend: 'Ext.grid.Panel',
    alias: 'widget.listcontent',

    requires: [
        'Ext.grid.column.Template',
        'Ext.XTemplate',
        'Ext.grid.column.Action',
        'Ext.grid.View'
    ],

    minHeight: 250,
    autoScroll: true,
    store: 'Community',

    initComponent: function() {
        var me = this;

        Ext.applyIf(me, {
            columns: [
                {
                    xtype: 'gridcolumn',
                    width: 50,
                    dataIndex: 'community_id',
                    text: Ext.locale.translate('Community ID'),
                    tooltip: Ext.locale.translate('Community ID')
                },
                {
                    xtype: 'gridcolumn',
                    hidden: true,
                    dataIndex: 'community',
                    text: Ext.locale.translate('Community'),
                    tooltip: Ext.locale.translate('Community')
                },
                {
                    xtype: 'gridcolumn',
                    dataIndex: 'name',
                    text: Ext.locale.translate('Name'),
                    tooltip: Ext.locale.translate('Name'),
                    flex: 1
                },
                {
                    xtype: 'templatecolumn',
                    tpl: [
                        '<tpl if="snmp_version == \'credentials\'">',
                        '	<span class=\'snmp-item\'>User and Pass</span>',
                        '<tpl else>',
                        '	<span class=\'snmp-item\'>SNMP v{snmp_version}</span>',
                        '</tpl>'
                    ],
                    width: 100,
                    dataIndex: 'snmp_version',
                    text: Ext.locale.translate('Version'),
                    tooltip: Ext.locale.translate('Version')
                },
                {
                    xtype: 'actioncolumn',
                    itemId: 'actions',
                    width: 50,
                    items: [
                        {
                            handler: function(view, rowIndex, colIndex, item, e, record, row) {
                                Authentication.app.getController("Manager.Panel").goToForm(record);
                            },
                            icon: '/opmon/oplib/libjs/opmonclasses/authentication/resources/ico-editar.png',
                            iconCls: 'icon-edit',
                            tooltip: Ext.locale.translate('Edit')
                        },
                        {
                            handler: function(view, rowIndex, colIndex, item, e, record, row) {
                                Authentication.app.getController("Accomplish").removeAuth(record, function(ok, err) {
                                    if (!ok) Authentication.app.getController("Manager.Panel").showErrorPopup(Ext.locale.translate('Request Status'), err);
                                });
                            },
                            icon: '/opmon/oplib/libjs/opmonclasses/authentication/resources/ico-excluir.png',
                            iconCls: 'icon-remove',
                            tooltip: Ext.locale.translate('Remove')
                        }
                    ]
                }
            ]
        });

        me.callParent(arguments);
    }

});