// defining error
var ERR_DATABASE = "-1";
var ERR_OPMONPRC = "-2";
var ERR_UNKNOWN = "-100";
var ERR_FAV_EXISTS = "-101";

var HOST = '0';
var SERVICE = '1';
var HOSTGROUP = '2';
var SERVICEGROUP = '3';
var SERVICECATALOG = '4';

var AVAILREPORT = '0';
var CPREPORT = '1';
var NETWORKREPORT = '2';

var ODDCOLOR = "#FFFFFF";
var EVENCOLOR = "#EEEEEE";

// Avail report types
var AVAILSIMPLE = 0;
var AVAILDETAILED = 1;
var AVAILTABULAR = 2;

// System alert
var ALERT_INFO = 100;
var ALERT_CRITICAL = 200;
var ALERT_OK = 300;

// License messages
var LICENSE_OK = 0;
var LICENSE_INVALID = 1;
var LICENSE_LIMIT_EXCEEDED = 2;

// SYSTEM MESSAGES
var OPMON_OK = 0;
var OPMON_NOT_RUNNING = 1;
var OPMON_IN_MAINTENANCE = 2;

// Discovery parameters to iframe windows
var DISCOVERY_PARAMS = {};

function implode(glue, arr) {

    var i;
    var str = "";

    for(i=0; i<arr.length-1; i++) {
        str += arr[i]+glue;
    }

    str += arr[arr.length-1];
    return str;
}

/**
 * Used to show/hide elements
 * on the screen
 */
function displayEl(el) {
    var element = Ext.get(el);
    var wrap = Ext.get(el+'-rzwrap');

    if (element.dom.style.display === 'none') {
        element.show();
        element.dom.style.display = 'block';
        if (wrap)
            wrap.dom.style.display = 'block';
    } else {
        element.hide();
        element.dom.style.display = 'none';
        if (wrap)
            wrap.dom.style.display = 'none';
    }

    setCookie(el, element.dom.style.display, 180);
}


/**
 * Remove blank spaces from
 * begin and end of string
 */
function trimString(str) {
    var trimmed = str.replace(/^\s+|\s+$/g, '');
    return trimmed;
}

/*
 * Change some invalid chars from str
 * received as parameter and return the
 * changed string
 */
function changeCharCode(str, removeSpaces) {
    var repName = str;
    for(i=0; i<str.length; i++) {
        var character = str.charAt(i);
        var code = str.charCodeAt(i);
        var specialchars = [
            33,
            34,
            36,
            37,
            38,
            39,
            40,
            41,
            42,
            44,
            60,
            61,
            62,
            63,
            92,
            94,
            96,
            124,
            126
        ];
        if (!!removeSpaces) {
            specialchars.push(32);
        }

        specialchars.forEach(
                function(specialchar, index) {
                    if (code == specialchar) {
                        repName = repName.replace(character, '');
                    }
                }
        );

    }

    return repName;
}

/*
 * Change some invalid chars from str
 * received as parameter and return the
 * changed string
 */
function changeCharCodeForContactName(str) {

    var repName = "";
    for(i=0; i<str.length; i++) {
        var character = str.charAt(i);
        var code = str.charCodeAt(i);

        if(code >= 224 && code <= 230) {
                repName += "a";
        }
        else if(code >= 232 && code <= 235) {
                repName += "e";
        }
        else if(code >= 236 && code <= 239) {
                repName += "i";
        }
        else if(code >= 240 && code <= 246) {
                repName += "o";
        }
        else if(code >= 249 && code <= 253) {
                repName += "u";
        }
        else if(code == 231) {
                repName += "c";
        }
        else if(code == 199) {
                repName += "C";
        }
        else if(code >= 192 && code <= 198 ) {
                repName += "A";
        }
        else if(code >= 200 && code <= 203 ) {
                repName += "E";
        }
        else if(code >= 204 && code <= 207 ) {
                repName += "I";
        }
        else if(code >= 210 && code <= 214 ) {
                repName += "O";
        }
        else if(code >= 217 && code <= 220 ) {
                repName += "U";
        }
        else if(character == " ") {
            repName += "_";
        }
        else if(
            (code >= 97 && code <= 122)  ||
            (code >= 65 && code <= 90)   ||
            (code >= 48 && code <= 57)   ||
            (character == "\n") ||
            (character == "_" ) ||
            (character == "-" ) ||
            (character == "." ) ||
            (character == "/" ) ) {
                repName += character;
        }
        else {
            repName += "_";
        }
    }

    return repName.replace(/_$/, '');
}

function setCookie( name, value, expires, path, domain, secure ) {
    // set time, it's in milliseconds
    var today = new Date();
    today.setTime( today.getTime() );

    /*
       if the expires variable is set, make the correct
       expires time, the current script below will set
       it for x number of days, to make it for hours,
       delete * 24, for minutes, delete * 60 * 24
       */
    if ( expires ) {
        expires = expires * 1000 * 60 * 60 * 24;
    }
    var expires_date = new Date( today.getTime() + (expires) );

    document.cookie = name + "=" +escape( value ) +
        ( ( expires ) ? ";expires=" + expires_date.toGMTString() : "" ) +
        ( ( path ) ? ";path=" + path : "" ) +
        ( ( domain ) ? ";domain=" + domain : "" ) +
        ( ( secure ) ? ";secure" : "" );

}

function getCookie( check_name ) {
    // first we'll split this cookie up into name/value pairs
    // note: document.cookie only returns name=value, not the other components
    var a_all_cookies = document.cookie.split( ';' );
    var a_temp_cookie = '';
    var cookie_name = '';
    var cookie_value = '';
    var b_cookie_found = false; // set boolean t/f default f

    for ( i = 0; i < a_all_cookies.length; i++ )
    {
        // now we'll split apart each name=value pair
        a_temp_cookie = a_all_cookies[i].split( '=' );


        // and trim left/right whitespace while we're at it
        cookie_name = a_temp_cookie[0].replace(/^\s+|\s+$/g, '');

        // if the extracted name matches passed check_name
        if ( cookie_name == check_name )
        {
            b_cookie_found = true;
            // we need to handle case where cookie has no value but exists (no = sign, that is):
            if ( a_temp_cookie.length > 1 )
            {
                cookie_value = unescape( a_temp_cookie[1].replace(/^\s+|\s+$/g, '') );
            }
            // note that in cases where cookie is initialized but no value, null is returned
            return cookie_value;
            break;
        }
        a_temp_cookie = null;
        cookie_name = '';
    }
    if ( !b_cookie_found )
    {
        return null;
    }
}

// this deletes the cookie when called
function deleteCookie( name, path, domain ) {
    if ( getCookie( name ) ) document.cookie = name + "=" +
        ( ( path ) ? ";path=" + path : "") +
            ( ( domain ) ? ";domain=" + domain : "" ) +
            ";expires=Thu, 01-Jan-1970 00:00:01 GMT";
}

function get_class(obj) {
    var result = false;
    if (obj.getAttributeNode("class") != null) {
        result = obj.getAttributeNode("class").value;
    }
    return result;
}

function stripe(id) {

    var even = false;

    var tables = new Array();
    tables = Ext.select(".oc-table");
    if (tables.getCount() == 0) {
        return;
    }

    for(k=0; k<tables.getCount(); k++) {
        var table = tables.item(k).dom;
        var tbodies = table.getElementsByTagName("tbody");

        for (var h = 0; h < tbodies.length; h++) {
            var trs = tbodies[h].getElementsByTagName("tr");

            for (var i = 0; i < trs.length; i++) {
                var tds = trs[i].getElementsByTagName("td");
                for (var j = 0; j < tds.length; j++) {
                    var mytd = tds[j];
                    var cls = get_class(mytd);
                    var reg = /.*ignore-stripe.*/;

                    if (!reg.exec(get_class(mytd)))
                        mytd.style.backgroundColor = even ? EVENCOLOR : ODDCOLOR;
                }
                even =  ! even;
            }
        }
    }

}

function strpos( haystack, needle, offset){
    var i = (haystack+'').indexOf( needle, offset );
    return i===-1 ? false : i;
}

/**
 * This function wait for final of the an evento to call another function.
 */
var waitForFinalEvent = (function () {
    var timers = {};

    return function (callback, ms, uniqueId) {
        if ( ! uniqueId) {
            return;
        }

        if (timers[uniqueId]) {
            clearTimeout (timers[uniqueId]);
        }

        timers[uniqueId] = setTimeout(callback, ms);
    };

})();

/**
 * translate strings if translation
 * is available, otherwise returns
 * the original string
 */
function t(msg) {
    if ((typeof l === 'undefined') && (typeof langArray !== 'undefined')) {
        return (langArray[msg] === undefined) ? msg : langArray[msg];
    } else if (l[msg] !== undefined) {
        return l[msg];
    }
    return msg;
};

function t_obj(msg) {

    if (is_object(msg) === false)
        return t(msg);

    fallback_lan = Object.keys(msg)[0];
    if (msg[sel_lan] === undefined)
        return msg[fallback_lan];

    return msg[sel_lan];
};

function is_object(val) {
    return (Object.prototype.toString.call(val) === "[object Object]");
};

function is_array(val) {
    return (Object.prototype.toString.call(val) === "[object Array]");
};

function getStringWithFormattedHours(hours, minutes, field_id){
    forced_check_exists = (Ext.query("input[@name='forced_check']").length > 0);
    cmd = Ext.query("input[@name='cmd']");
    is_exception = (field_id == 'start_time' && cmd.length > 0);
    is_exception = (is_exception && cmd[0].value.match(/.*Add(Host|Service)?ScheduledDowntime/));

    if (forced_check_exists || is_exception) {
        return pad(hours) + ":" + pad(minutes) + ":00";
    }

    hours = incrementHourIfNecessary(hours, minutes);
    minutes = getNextQuarterMinutes(minutes);

    if(hours == 24 && minutes == 00) {
        return "23:59:00";
    }

    return pad(hours) + ":" + pad(minutes) + ":00";

}

function incrementHourIfNecessary(hours, minutes){
    var maxNumbertoThirdInterval = 45;
    return (minutes > maxNumbertoThirdInterval) ? ++hours : hours;
}

function pad(number) {
    return (number < 10) ? ("0" + number) : number;
}

function showKb(name) {
    var selectorName = "#"+name;
    var kbElement = document.querySelector(selectorName);
    if(kbElement && fromNull(kbElement.getAttribute("href"))) {
        var lang = getParentUntil(function(p) {
            return p.Ext && p.Ext.locale && p.Ext.locale.lang
        }).Ext.locale.lang;
        var kbLinks = {
            "pt_BR": "http://kb.opservices.com.br/knowledge-base/"+name+"/",
            "pt_BR_ITIL": "http://kb.opservices.com.br/knowledge-base/"+name+"/",
            "en_US": "http://kb.opservices.com/knowledge-base/"+name+"/"
        };
        kbElement.setAttribute("href", kbLinks[lang])
    }
    function fromNull(x) {
        return (x === null) || (x === undefined) || (x === "");
    }
}

var getParentUntil = function(f, p) {
    p = p || parent
    return (f (p) || !p.parent)
        ? p
        : getParentUntil(f, p.parent)
}

function getNextQuarterMinutes(minutes){

    var interval = 15;

    if((minutes % interval) == 0) {
        return minutes;
    }

    var aHourInMinutes = 60;
    var div = Math.floor(minutes / interval);
    var nextQuarterMinutes = (div + 1) * interval;

    if (nextQuarterMinutes == aHourInMinutes) {
        return 0;
    }

    return nextQuarterMinutes;
}

var router_url = "/opmon/modelgroups/groupsrouter/";
