//-----------------------------------
//
// OpGrid - JS Framework
//
//-----------------------------------

var OpGrid = new Object();
var GridTask;

/**
 * Row mouse events
 */

function setRowMouseOver( tr ) {
	if (!/opgrid-row-over/.test(tr.className))
		tr.className += " opgrid-row-over";
}

function setRowMouseOut( tr ) {
	tr.className = tr.className.replace(" opgrid-row-over", "");
}

/**
 * Submit the passed url
 */

function submitUrl( url ) {
	window.location.href = url;
}

/**
 * Toolbar buttons mouse events
 */

function setButtonMouseOver( btn ) {
	if (!/opgrid-pager-btn-over/.test(btn.className))
		btn.className += " opgrid-pager-btn-over";
}

function setButtonMouseOut( btn ) {
	btn.className = btn.className.replace(" opgrid-pager-btn-over", "");
}

/**
 * Initiate grid routines
 */

function initGrid( id ) {
	
	// Navigation options
	adjustNavigation(id);
	
	// Register globals
	registerGlobals(id);
	
	// Schedule auto-update
	if (!GridTask) {
		GridTask = new Ext.util.DelayedTask( function() {
			refreshGrid(id);
		});
	}
	
	GridTask.cancel();
	GridTask.delay(60000);
	
}

function adjustNavigation( id ) {

	// Adjust navigation options
	var startPage = Ext.get( id + '_startPage' );
	var maxPage = Ext.get( id + '_maxPage' );
	if (startPage) {
		
		if (startPage.dom.value == 1 && startPage.dom.value != parseInt(maxPage.dom.innerHTML)) {
			
			// First Button
			var btn = Ext.get( id + '_first');
			btn.dom.style.display = "none";
			var btn = Ext.get( id + '_first_disabled');
			btn.dom.style.display = "block";
			
			// Previous Button
			var btn = Ext.get( id + '_prev');
			btn.dom.style.display = "none";
			var btn = Ext.get( id + '_prev_disabled');
			btn.dom.style.display = "block";
			
			// Next Button
			var btn = Ext.get( id + '_next');
			btn.dom.style.display = "block";
			var btn = Ext.get( id + '_next_disabled');
			btn.dom.style.display = "none";
			
			// Last Button
			var btn = Ext.get( id + '_last');
			btn.dom.style.display = "block";
			var btn = Ext.get( id + '_last_disabled');
			btn.dom.style.display = "none";
			
		} else if (startPage.dom.value != 1 && startPage.dom.value == parseInt(maxPage.dom.innerHTML)) {
			
			// First Button
			var btn = Ext.get( id + '_first');
			btn.dom.style.display = "block";
			var btn = Ext.get( id + '_first_disabled');
			btn.dom.style.display = "none";
		
			// Previous Button
			var btn = Ext.get( id + '_prev');
			btn.dom.style.display = "block";
			var btn = Ext.get( id + '_prev_disabled');
			btn.dom.style.display = "none";
			
			// Next Button
			var btn = Ext.get( id + '_next');
			btn.dom.style.display = "none";
			var btn = Ext.get( id + '_next_disabled');
			btn.dom.style.display = "block";
			
			// Last Button
			var btn = Ext.get( id + '_last');
			btn.dom.style.display = "none";
			var btn = Ext.get( id + '_last_disabled');
			btn.dom.style.display = "block";
			
		} else if (startPage.dom.value == parseInt(maxPage.dom.innerHTML)) {
			
			// First Button
			var btn = Ext.get( id + '_first');
			btn.dom.style.display = "none";
			var btn = Ext.get( id + '_first_disabled');
			btn.dom.style.display = "block";
			
			// Previous Button
			var btn = Ext.get( id + '_prev');
			btn.dom.style.display = "none";
			var btn = Ext.get( id + '_prev_disabled');
			btn.dom.style.display = "block";
			
			// Next Button
			var btn = Ext.get( id + '_next');
			btn.dom.style.display = "none";
			var btn = Ext.get( id + '_next_disabled');
			btn.dom.style.display = "block";
			
			// Last Button
			var btn = Ext.get( id + '_last');
			btn.dom.style.display = "none";
			var btn = Ext.get( id + '_last_disabled');
			btn.dom.style.display = "block";
			
		} else {
			
			// First Button
			var btn = Ext.get( id + '_first');
			btn.dom.style.display = "block";
			var btn = Ext.get( id + '_first_disabled');
			btn.dom.style.display = "none";
		
			// Previous Button
			var btn = Ext.get( id + '_prev');
			btn.dom.style.display = "block";
			var btn = Ext.get( id + '_prev_disabled');
			btn.dom.style.display = "none";

			// Next Button
			var btn = Ext.get( id + '_next');
			btn.dom.style.display = "block";
			var btn = Ext.get( id + '_next_disabled');
			btn.dom.style.display = "none";
			
			// Last Button
			var btn = Ext.get( id + '_last');
			btn.dom.style.display = "block";
			var btn = Ext.get( id + '_last_disabled');
			btn.dom.style.display = "none";			
			
		}
		
	}
	
}

/**
 * Register globals to be used in
 * external functions
 */

function registerGlobals( id ) {
	
	//Ext.namespace('OpGrid.' + id);
	if (!OpGrid[id])
		eval('OpGrid.' + id + ' = new Object();');
	eval('OpGrid.' + id + '.sourceUrl = "' + Ext.get(id + "_sourceUrl").dom.innerHTML + '";');
	eval('OpGrid.' + id + '.sortField = "' + Ext.get(id + "_sortField").dom.innerHTML + '";');
	eval('OpGrid.' + id + '.sortDirection = "' + Ext.get(id + "_sortDirection").dom.innerHTML + '";');
	eval('OpGrid.' + id + '.startPage = "' + Ext.get(id + "_startPage").dom.value + '";');
	eval('OpGrid.' + id + '.maxPage = "' + Ext.get(id + "_maxPage").dom.innerHTML + '";');
	eval('OpGrid.' + id + '.elementsPerPage = "' + Ext.get(id + "_elementsPerPage").dom.innerHTML + '";');
	
}

/**
 * Perform grid navigation
 */

function navigate( gridId, cmd ) {
	
	eval("var elPage = '" + Ext.get(gridId + "_elementsPerPage").dom.innerHTML + "';");
	eval("var startPage = Ext.get(gridId + '_startPage');");
	eval("var maxPage = '" + Ext.get(gridId + "_maxPage").dom.innerHTML + "';");
	eval("var sortField = '" + Ext.get(gridId + "_sortField").dom.innerHTML + "';");
	eval("var sortDirection = '" + Ext.get(gridId + "_sortDirection").dom.innerHTML + "';");
	
	
	if (cmd == 'first')
		startPage.dom.value = 1;
	else if (cmd == 'prev')
		startPage.dom.value--;
	else if (cmd == 'next')
		startPage.dom.value++;
	else if (cmd == 'last')
		startPage.dom.value = maxPage;

	// Perform update
	updateGrid( gridId, startPage.dom.value, elPage, sortField, sortDirection );
		
}

/**
 * Make the HTTP calls and
 * update the grid with the results
 */

function updateGrid( gridId, start, limit, field, direction ) {

	eval("var URL = '" + Ext.get(gridId + "_sourceUrl").dom.innerHTML + "';");
	
	// Update loading image
	var img = Ext.get(gridId + "_refresh");
	img.dom.src = img.dom.src.replace("refresh", "loading");
	
	var el = Ext.query('.display-items');
	
	var fnIndex = new Array();
	for(i=0;i<el.length;i++) {
		if (el[i].src.match("plus")) {
			fnIndex.push(i);
		}
	}
	
	var aTmp = Ext.query('.checked-items');
	
	var chkIndex = new Array();
	for(i=0;i<aTmp.length;i++) {
		var obj = aTmp[i];
		if (obj.checked)
			chkIndex.push( obj.id );
		
	}

	//alert( chkIndex.length );
	
	Ext.Ajax.request({
		url: 		URL,
		method:	'post',
		params: { start: start, limit: limit, field: field, direction: direction },
		success:	function(respObj) {
		
			for(var i = 0, len = myTips.length; i < len; ++i){
				myTips[i].destroy();
			}
			myTips = [];
	
			// Reset loading image
			img.dom.src = img.dom.src.replace("loading", "refresh");
			
			var response = Ext.decode( respObj.responseText );
			delete( respObj );
			//eval('('+respObj.responseText+')');
			
			// Error occurred
			if (response['error']) {
				var f = parent.Ext.get('mainFrame').dom;
				f.src = f.src;
			}
			
			// Update grid body
			var gridBody = Ext.get(gridId + "_container");
			gridBody.dom.innerHTML = null;
			//gridBody.repaint();
			gridBody.dom.innerHTML = response['data'];
			
			// Update max pages
			Ext.get(gridId + "_maxPage").dom.innerHTML = Math.ceil(  response['total'] / response['limit'] );
			
			// Post processing
			initGrid( gridId );
			//adjustNavigation( gridId );
			//registerGlobals( gridId );
			
			if (fnIndex.length) {
				var el = Ext.query('.display-items');
				for(i=0;i<fnIndex.length;i++) {
					var obj = el[fnIndex[i]];
					var method = obj.onclick+"";
					method=method.substring(26,method.length-2);
					var reg = /[\'\"]+(.*)[\'\"]+.*\);/;
					var match = reg.exec(method);
					displayItems( obj, match[1] );
				}
			}
			
			if (chkIndex.length) {
				for(i=0;i<chkIndex.length;i++) {
					var obj = Ext.get(chkIndex[i]);
					obj.dom.checked = true;
				}
			}
			// Execute, if exists, the callback function
			if (response['callback']) {
				eval("var callback = function() { " + response['callback'] + "(); };");
				callback();
			}

		}
	
	});
}

function updateStartPage(gridId,e) {
	
	var code = e.keyCode || e.which;
	if (code == 13) {
		navigate(gridId,'');
	}

}

function updateElementsPerPage(gridId,select) {

	value = select.options[select.selectedIndex].value;
	
	// Update Cookie
	deleteCookie( gridId + "_gridSize", '/');
	setCookie(gridId + "_gridSize", value, '365', '/', '', '' );
	
	Ext.get(gridId + "_elementsPerPage").dom.innerHTML = value;
	navigate(gridId,'first');
	
}

function refreshGrid(gridId) {
	navigate(gridId,'');
}
