var sliders = [];
var btns = [];
var setupSliders = function() { this.initialize.apply(this, arguments) }
var Slider = function() { this.initialize.apply(this, arguments) }


// construct sliders and associate to nav
Slider.prototype = {
	
	initialize: function(slider, array_position) {
		this.ul = slider.children[0];
		this.li = this.ul.children;

		// make <ul> as large as all <li>’s
		this.ul.style.width = (this.li[0].clientWidth * this.li.length) + 200 + 'px';

		this.currentIndex = 0;
		this.position = array_position;
	},
	goTo: function(index) {
		if (index > this.li.length - 1 || index === 0) {
			index = 0;
			this.ul.style.left = '100px';
		} else if (index < 0) {
			index = this.li.length - 1;
			this.ul.style.left = '-' + (this.li[0].clientWidth * (this.li.length - 1) - 100) + 'px';
		} else {
			this.ul.style.left = '-' + (this.li[0].clientWidth * index - 100) + 'px';
		}
		
		// activate button
		btns[this.position][this.currentIndex].className = "_btn";
		btns[this.position][index].className = "_btn active";

		// updating index
		this.currentIndex = index;
		
	},

	goToPrev: function() {
		this.goTo(this.currentIndex - 1);
	},

	goToNext: function() {
		this.goTo(this.currentIndex + 1);
	}
	
}


// construct nav and call the Slider
setupSliders.prototype = {

	initialize: function() {
		this.sliders_container = document.getElementsByTagName('div');
		
		var sliders_num = 0;

		for (var i = 0; i < this.sliders_container.length; i++) {
			
			if (this.sliders_container[i].className == "slider_wrapper") {
				
				var slider_parent = this.sliders_container[i].parentNode;
				var thisNav = document.createElement("div");
				thisNav.id = "nav_bar_" + sliders_num;
				thisNav.className = "_nav";
				slider_parent.appendChild(thisNav);

				this.nav_construction(sliders_num, slider_parent);

				this.bullet_construction(i, sliders_num, thisNav);

				sliders.push(new Slider(this.sliders_container[i], sliders_num));

				sliders_num++;

			}
		}

		this.start();

	},

	nav_construction: function(slider_index, slider_parent) {
		// create nav buttons
		var p_btn = document.createElement("a");
		var p_text = document.createTextNode("Previous");
		p_btn.appendChild(p_text);
		p_btn.href = "javascript: sliders[" + slider_index + "].goToPrev();";
		p_btn.id = "previous_btn";
		p_btn.className = "_btn";

		var n_btn = document.createElement("a");
		var n_text = document.createTextNode("Next");
		n_btn.appendChild(n_text);
		n_btn.href = "javascript: sliders[" + slider_index + "].goToNext();";
		n_btn.id = "next_btn";
		n_btn.className = "_btn";
		
		// append nav buttons to document
		slider_parent.appendChild(p_btn);
		slider_parent.appendChild(n_btn);
	},

	bullet_construction: function(slider_index, slider_num, thisNav) {
		// create bullet buttons
		btns[slider_num] = [];
		for (var j = 0; j < this.sliders_container[slider_index].children[0].children.length; j++) {
			
			var _btn = document.createElement("a");
			var _text = document.createTextNode(j+1);
			_btn.appendChild(_text);
			_btn.href = "javascript: sliders[" + slider_num + "].goTo(" + j + ");";
			_btn.id = "_btn_" + slider_num + "_" + j;
			_btn.className = "_btn";
			
			// append buttons to document and push to array
			thisNav.appendChild(_btn);
			btns[slider_num].push(_btn);
		}
	},

	start: function() {
		for (var i = 0; i < sliders.length; i++) {
			sliders[i].goTo(0);	
		}
	}
}


// html structure example
//
//
//
// <div class="slider_wrapper">
// 	<ul>
// 		<li>
// 			<html>
// 		</li>
// 		<li>
// 			<html>
// 		</li>
// 		<li>
// 			<html>
// 		</li>
// 		<li>
// 			<html>
//		</li>
//	</ul>
// </div>

//
// use <script> new setupSliders(); </script>
// for start the slider